CVE-2005-3659
CVSS5.0
发布时间 :2005-12-31 00:00:00
修订时间 :2011-03-07 00:00:00
NMCOS    

[原文]nsrd.exe in EMC Legato NetWorker 7.1.x before 7.1.4 and 7.2.x before 7.2.1.Build.314, and other products such as Sun Solstice Backup (SBU) 6.0 and 6.1 and StorEdge Enterprise Backup Software (EBS) 7.1 through 7.2L, allows remote attackers to cause a denial of service (nsrd service crash) via a malformed RPC request to RPC program number 390109, which triggers a null dereference.


[CNNVD]EMC Legato Networker nsrd.exe远程拒绝服务漏洞(CNNVD-200512-771)

        EMC Legato NetWorker是一款跨平台的备份和恢复系统。
        EMC Legato NetWorker对某些畸形的RPC请求处理存在漏洞,成功利用这个漏洞的攻击者可以导致nsrd.exe进程崩溃。由于没有正确地处理编号为390109的RPC程序的畸形RPC请求,导致Legato Networker中存在远程拒绝服务漏洞。通过发送上述请求,攻击者可以将空指针用作内存引用的基地址,导致服务崩溃。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-399 [资源管理错误]

- CPE (受影响的平台与产品)

cpe:/a:emc:legato_networker:7.2_build172EMC Corporation Legato NetWorker 7.2 build172
cpe:/a:emc:legato_networker:7.2EMC Corporation Legato NetWorker 7.2
cpe:/a:emc:legato_networker:7.2.1EMC Corporation Legato NetWorker 7.2.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3659
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3659
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-771
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/16275
(PATCH)  BID  16275
http://www.legato.com/support/websupport/product_alerts/011606_NW.htm
(PATCH)  CONFIRM  http://www.legato.com/support/websupport/product_alerts/011606_NW.htm
http://www.idefense.com/intelligence/vulnerabilities/display.php?id=375
(PATCH)  IDEFENSE  20060117 EMC Legato Networker nsrd.exe DoS Vulnerability
http://securitytracker.com/id?1015545
(PATCH)  SECTRACK  1015545
http://securitytracker.com/id?1015500
(PATCH)  SECTRACK  1015500
http://secunia.com/advisories/18615
(VENDOR_ADVISORY)  SECUNIA  18615
http://secunia.com/advisories/18495
(VENDOR_ADVISORY)  SECUNIA  18495
ftp://ftp.legato.com/pub/NetWorker/Updates/LGTpa83990/README.TXT
(PATCH)  CONFIRM  ftp://ftp.legato.com/pub/NetWorker/Updates/LGTpa83990/README.TXT
http://xforce.iss.net/xforce/xfdb/24173
(UNKNOWN)  XF  legato-nsrd-dos(24173)
http://www.vupen.com/english/advisories/2006/0343
(VENDOR_ADVISORY)  VUPEN  ADV-2006-0343
http://www.vupen.com/english/advisories/2006/0233
(VENDOR_ADVISORY)  VUPEN  ADV-2006-0233
http://sunsolve.sun.com/searchproxy/document.do?assetkey=1-26-102148-1
(UNKNOWN)  SUNALERT  102148

- 漏洞信息

EMC Legato Networker nsrd.exe远程拒绝服务漏洞
中危 边界条件错误
2005-12-31 00:00:00 2006-06-05 00:00:00
远程  
        EMC Legato NetWorker是一款跨平台的备份和恢复系统。
        EMC Legato NetWorker对某些畸形的RPC请求处理存在漏洞,成功利用这个漏洞的攻击者可以导致nsrd.exe进程崩溃。由于没有正确地处理编号为390109的RPC程序的畸形RPC请求,导致Legato Networker中存在远程拒绝服务漏洞。通过发送上述请求,攻击者可以将空指针用作内存引用的基地址,导致服务崩溃。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://www.legato.com/support/websupport/product_alerts/011606_NW.htm

- 漏洞信息

22499
EMC NetWorker nsrd.exe Crafted RPC Request NULL Dereference Remote DoS
Remote / Network Access Denial of Service
Loss of Availability
Vendor Verified

- 漏洞描述

- 时间线

2006-01-17 2005-11-17
Unknow 2006-01-25

- 解决方案

Upgrade to version 7.1.4, 7.2.1, 7.3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

EMC Legato Networker Multiple Remote Vulnerabilities
Boundary Condition Error 16275
Yes No
2006-01-17 12:00:00 2007-01-29 07:39:00
Jo Goossens is credited with the discovery of these issues.

- 受影响的程序版本

Sun StorEdge Enterprise Backup Software 7.2 L
Sun StorEdge Enterprise Backup Software 7.2 _x86
Sun StorEdge Enterprise Backup Software 7.2
Sun StorEdge Enterprise Backup Software 7.1 L
Sun StorEdge Enterprise Backup Software 7.1 _x86
Sun StorEdge Enterprise Backup Software 7.1
Sun StorEdge Enterprise Backup Software 7.0 _x86
Sun StorEdge Enterprise Backup Software 7.0
Sun Solstice Backup Software 6.1 _x86
Sun Solstice Backup Software 6.1
Sun Solstice Backup Software 6.0 _x86
Sun Solstice Backup Software 6.0
EMC Legato Networker 7.2.1
EMC Legato Networker 7.2 build 172
EMC Legato Networker 7.2
EMC Legato Networker 7.1.3
EMC Legato Networker 6.0 x
Sun StorEdge Enterprise Backup Software 7.3_x86
Sun StorEdge Enterprise Backup Software 7.3

- 不受影响的程序版本

Sun StorEdge Enterprise Backup Software 7.3_x86
Sun StorEdge Enterprise Backup Software 7.3

- 漏洞讨论

EMC Legato Networker is affected by multiple remote vulnerabilities. A denial-of-service issue and two remote code-execution issues have been identified.

Version 7.2.1 of Legato Networker is vulnerable to these issues; prior versions may also be affected.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

Please see the referenced advisories for more information.


Sun StorEdge Enterprise Backup Software 7.1

Sun StorEdge Enterprise Backup Software 7.1 L

EMC Legato Networker 7.1.3

EMC Legato Networker 7.2

Sun StorEdge Enterprise Backup Software 7.2 L

Sun StorEdge Enterprise Backup Software 7.2

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站